Source: svn-all-fast-export
Section: devel
Priority: optional
Maintainer: Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsvn-dev,
 qtbase5-dev,
Build-Conflicts:
 libqt4-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/svn-all-fast-export/svn2git
Vcs-Browser: https://salsa.debian.org/debian/svn-all-fast-export
Vcs-Git: https://salsa.debian.org/debian/svn-all-fast-export.git
Rules-Requires-Root: no

Package: svn-all-fast-export
Architecture: any
Depends:
 git,
 ${misc:Depends},
 ${shlibs:Depends}
Description: fast-import based converter to convert repos from Subversion to git
 svn-all-fast-export is a tool to convert Subversion repositories to git.
 .
 This tool takes a copy of the Subversion repository (not just a checkout)
 plus a rules file that specifies how the conversion should be performed and
 produces a bare git repository. Using regular expressions, the rules file
 specifies how the Subversion branches and tags should be created in the git
 repository. Example rule files are included in
 /usr/share/doc/svn-all-fast-export/examples
 .
 An authors file that maps the old svn accounts to the full authors names and
 email addresses can also be provided to make the history look much prettier.
